Summary: f2c program and static libraries
Name: f2c
Version: 19970805
Release: 2
Copyright: Distributable
Group: Development/Languages/fortran
Source: ftp://ftp.netlib.org/f2c.tar
Patch0: f2c-redhat.patch
BuildRoot: /var/tmp/f2c-root
Obsoletes: f2c-libs

%description
f2c is a Fortran to C translation and building program.  It can
take fortran source code, convert it to C, and then use gcc to
compile it into an executable.  

%prep
%setup -n f2c
unzip libf2c.zip
cp libf2c/makefile.u libf2c/Makefile
%patch0 -p 1 -b .redhat

%build
%ifarch axp
MFLAG=-mieee
%endif

make -C src RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" f2c
make -C libf2c RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin,man/man1}
install -m 644 libf2c/libf2c.a $RPM_BUILD_ROOT/usr/lib
install -m 644 f2c.h $RPM_BUILD_ROOT/usr/include
install -s -m 755 src/f2c $RPM_BUILD_ROOT/usr/bin/f2c
install -m 644 src/f2c.1t $RPM_BUILD_ROOT/usr/man/man1/f2c.1
install -m 755 libf2c/libf2c.so.0.22 $RPM_BUILD_ROOT/usr/lib
ln -sf libf2c.so.0.22 $RPM_BUILD_ROOT/usr/lib/libf2c.so
 
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc f2c.ps readme permission disclaimer changes src/Notice src/README
/usr/lib/*
/usr/include/*
/usr/bin/*
/usr/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 29 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to version 19970805
- added buildroot; removed libs subpackage and made it obsoleted

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed axp tag to alpha

* Fri Apr 11 1997 Michael Fulbright <msf@redhat.com>
- Fixed man page and made it install the troff version in correct place.
- Removed checksum calculation on sources, otherwise we cant patch source!


